🚀 @ Any Node in AI Chat! See our changelog for details.
curl --request GET \
--url 'https://app.teable.ai/api/table/%7BtableId%7D/aggregation/group-points?viewId=viwXXXXXXX&filter=SOME_STRING_VALUE&search=SOME_ARRAY_VALUE&groupBy=SOME_STRING_VALUE&collapsedGroupIds=SOME_STRING_VALUE&ignoreViewQuery=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"type": 0,
"depth": 1,
"isCollapsed": true,
"value": null
}
]Returns the distribution and count of records across different group points in the view
curl --request GET \
--url 'https://app.teable.ai/api/table/%7BtableId%7D/aggregation/group-points?viewId=viwXXXXXXX&filter=SOME_STRING_VALUE&search=SOME_ARRAY_VALUE&groupBy=SOME_STRING_VALUE&collapsedGroupIds=SOME_STRING_VALUE&ignoreViewQuery=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"type": 0,
"depth": 1,
"isCollapsed": true,
"value": null
}
]Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Set the view you want to fetch, default is first view. result will filter and sort by view options.
"viwXXXXXXX"
A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://app.teable.ai/developer/tool/query-builder to build filters.
Search for records that match the specified field and value
1 elementAn array of group objects that specifies how the records should be grouped.
An array of group ids that specifies which groups are collapsed
When a viewId is specified, configure this to true will ignore the view's filter, sort, etc
Was this page helpful?